"use strict";
{
	const SDK = self.SDK;
	const PLUGIN_ID = "VinoosTapsellPlus";
	const PLUGIN_VERSION = "1.0.0.0";
	const PLUGIN_CATEGORY = "other";
	let app = null;
	const PLUGIN_CLASS = SDK.Plugins.VinoosTapsellPlus = class VinoosTapsellPlus extends SDK.IPluginBase
	{
		constructor()
		{
			super(PLUGIN_ID);
			SDK.Lang.PushContext("plugins." + PLUGIN_ID.toLowerCase());
			this._info.SetName(lang(".name"));
			this._info.SetDescription(lang(".description"));
			this._info.SetVersion(PLUGIN_VERSION);
			this._info.SetCategory(PLUGIN_CATEGORY);
			this._info.SetAuthor("Surena");
			this._info.SetHelpUrl(lang(".help-url"));
			this._info.SetIsSingleGlobal(true);
			this._info.SetIsDeprecated(false);
			this._info.SetSupportsEffects(false);
			this._info.SetMustPreDraw(false);
			this._info.SetCanBeBundled(false);
			this._info.SetSupportedRuntimes(["c2", "c3"]);
			SDK.Lang.PushContext(".properties");
			const permission = new SDK.PluginProperty("text", "permission", "android.permission.READ_PHONE_STATE");
			this._info.SetProperties([
				new SDK.PluginProperty("text", "app-key", "")
			]);
			this._info.AddCordovaPluginReference(
				{
					id: "tapsell-plus-cordova-plugin",
					plugin: this,
					variables: [
						["PERMISSION", permission]
					]
				});
			SDK.Lang.PopContext();
			SDK.Lang.PopContext();
		}
	};
	PLUGIN_CLASS.Register(PLUGIN_ID, PLUGIN_CLASS);
}
